<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): InterfaceDefinition.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_interface_definition_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">InterfaceDefinition.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__INTERFACEDEFINITION_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__INTERFACEDEFINITION_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;AstNode.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;types/Program.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;types/SymbolScope.h&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;boost/filesystem.hpp&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html">   52</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_interface_definition.html">InterfaceDefinition</a></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;{</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">enum</span> _error_handling_checks</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    {</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        kAll,</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        kInfraErrors,</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        kAllocErrors,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        kNone</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    };</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <a class="code" href="classerpcgen_1_1_interface_definition.html#a3f7c1016bef2b3dd45d08f4316580106">InterfaceDefinition</a>();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#abc1e95f7ba6ec4862e83b518eb5f36ff">   71</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#abc1e95f7ba6ec4862e83b518eb5f36ff">~InterfaceDefinition</a>() {}</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#a8606a673f88a995913d7e80ded615898">init</a>();</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#ada87017de8bdd523d35c6f6c4c91ac00">parse</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *inputFile);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#a9bc3ebd4a3083d22f7df6b281f8f8943">   97</a></span>&#160;    <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *<a class="code" href="classerpcgen_1_1_interface_definition.html#a9bc3ebd4a3083d22f7df6b281f8f8943">getAst</a>() { <span class="keywordflow">return</span> m_ast; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#a75ea44989d648f061e056a0860c6b006">  104</a></span>&#160;    <a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> &amp;<a class="code" href="classerpcgen_1_1_interface_definition.html#a75ea44989d648f061e056a0860c6b006">getGlobals</a>() { <span class="keywordflow">return</span> m_globals; }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#a0458349b3230e4ea11b672629fd6ec5c">setProgramInfo</a>(<span class="keyword">const</span> std::string &amp;fileName, <span class="keyword">const</span> std::string &amp;outputFilePath);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#af57c74feee09035914cea20cf7e8596d">  122</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#af57c74feee09035914cea20cf7e8596d">setProgramName</a>(<span class="keyword">const</span> std::string &amp;programName) { m_programName = programName; }</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#a3db153cb26de7b9e86d6b5d4dc3fb822">  129</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="classerpcgen_1_1_interface_definition.html#a3db153cb26de7b9e86d6b5d4dc3fb822">getProgramName</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#a63af08657d1400148796e304fd84a3c0">programSymbol</a>()-&gt;<a class="code" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a>(); }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#a88555ec3da97a4c7e917592edba7181f">  136</a></span>&#160;    boost::filesystem::path <a class="code" href="classerpcgen_1_1_interface_definition.html#a88555ec3da97a4c7e917592edba7181f">getOutputDirectory</a>() { <span class="keywordflow">return</span> m_outputDirectory; }</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#accf4b920cee5f58be75e2fbef4de7943">  143</a></span>&#160;    std::string <a class="code" href="classerpcgen_1_1_interface_definition.html#accf4b920cee5f58be75e2fbef4de7943">getOutputFilename</a>() { <span class="keywordflow">return</span> m_outputFilename; }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#aa7a402b7814db8a1d936baa71d1915de">setOutputFilename</a>(<span class="keyword">const</span> std::string &amp;filename);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#a3e7dea614fce5f4be4d7b4a351c385b6">hasProgramSymbol</a>();</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <a class="code" href="classerpcgen_1_1_program.html">Program</a> *<a class="code" href="classerpcgen_1_1_interface_definition.html#a63af08657d1400148796e304fd84a3c0">programSymbol</a>();</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_interface_definition.html#ae93b43715fe4b0184fbb2c069060699a">setErrorHandlingChecksType</a>();</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_interface_definition.html#abea5734bd3b08db5fe988ec1e1653a1d">  175</a></span>&#160;    _error_handling_checks <a class="code" href="classerpcgen_1_1_interface_definition.html#abea5734bd3b08db5fe988ec1e1653a1d">getErrorHandlingChecksType</a>() { <span class="keywordflow">return</span> m_error_handling_check; }</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    <span class="comment">/* Instance Variables */</span></div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    <a class="code" href="classerpcgen_1_1_ast_node.html">AstNode</a> *m_ast;                                </div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <a class="code" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> m_globals;                         </div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    std::string m_programName;                     </div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    std::string m_outputFilename;                  </div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    boost::filesystem::path m_outputDirectory;     </div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    _error_handling_checks m_error_handling_check; </div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="comment">/* Private Functions */</span></div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="keywordtype">void</span> createBuiltinTypes();</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    <span class="keywordtype">void</span> setOutputDirectory(<span class="keyword">const</span> std::string &amp;outputDir);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;};</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__INTERFACEDEFINITION_H_</span></div><div class="ttc" id="classerpcgen_1_1_interface_definition_html"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html">erpcgen::InterfaceDefinition</a></div><div class="ttdoc">Collects all definitions from an IDL. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:52</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_abc1e95f7ba6ec4862e83b518eb5f36ff"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#abc1e95f7ba6ec4862e83b518eb5f36ff">erpcgen::InterfaceDefinition::~InterfaceDefinition</a></div><div class="ttdeci">virtual ~InterfaceDefinition()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:71</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_aa7a402b7814db8a1d936baa71d1915de"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#aa7a402b7814db8a1d936baa71d1915de">erpcgen::InterfaceDefinition::setOutputFilename</a></div><div class="ttdeci">void setOutputFilename(const std::string &amp;filename)</div><div class="ttdoc">This function sets output file name. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:146</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a63af08657d1400148796e304fd84a3c0"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a63af08657d1400148796e304fd84a3c0">erpcgen::InterfaceDefinition::programSymbol</a></div><div class="ttdeci">Program * programSymbol()</div><div class="ttdoc">This function returns program symbol. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:119</div></div>
<div class="ttc" id="classerpcgen_1_1_ast_node_html"><div class="ttname"><a href="classerpcgen_1_1_ast_node.html">erpcgen::AstNode</a></div><div class="ttdoc">Homogeneous AST node class. </div><div class="ttdef"><b>Definition:</b> AstNode.h:57</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a9bc3ebd4a3083d22f7df6b281f8f8943"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a9bc3ebd4a3083d22f7df6b281f8f8943">erpcgen::InterfaceDefinition::getAst</a></div><div class="ttdeci">AstNode * getAst()</div><div class="ttdoc">This function returns node belong to this object. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:97</div></div>
<div class="ttc" id="classerpcgen_1_1_program_html"><div class="ttname"><a href="classerpcgen_1_1_program.html">erpcgen::Program</a></div><div class="ttdoc">Program declaration. </div><div class="ttdef"><b>Definition:</b> Program.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_ada87017de8bdd523d35c6f6c4c91ac00"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#ada87017de8bdd523d35c6f6c4c91ac00">erpcgen::InterfaceDefinition::parse</a></div><div class="ttdeci">void parse(const char *inputFile)</div><div class="ttdoc">This function parse given IDL file. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:65</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_html_a84c290b9cf7672b0f94aea9ff27acf1f"><div class="ttname"><a href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">erpcgen::Symbol::getName</a></div><div class="ttdeci">const std::string &amp; getName() const </div><div class="ttdoc">This function returns symbol name. </div><div class="ttdef"><b>Definition:</b> Symbol.h:145</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_scope_html"><div class="ttname"><a href="classerpcgen_1_1_symbol_scope.html">erpcgen::SymbolScope</a></div><div class="ttdoc">A scoped namespace containing symbols. </div><div class="ttdef"><b>Definition:</b> SymbolScope.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_accf4b920cee5f58be75e2fbef4de7943"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#accf4b920cee5f58be75e2fbef4de7943">erpcgen::InterfaceDefinition::getOutputFilename</a></div><div class="ttdeci">std::string getOutputFilename()</div><div class="ttdoc">This function returns output file name. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:143</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a3db153cb26de7b9e86d6b5d4dc3fb822"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a3db153cb26de7b9e86d6b5d4dc3fb822">erpcgen::InterfaceDefinition::getProgramName</a></div><div class="ttdeci">const std::string getProgramName()</div><div class="ttdoc">This function returns program name. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:129</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a3f7c1016bef2b3dd45d08f4316580106"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a3f7c1016bef2b3dd45d08f4316580106">erpcgen::InterfaceDefinition::InterfaceDefinition</a></div><div class="ttdeci">InterfaceDefinition()</div><div class="ttdoc">Default constructor. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:50</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a8606a673f88a995913d7e80ded615898"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a8606a673f88a995913d7e80ded615898">erpcgen::InterfaceDefinition::init</a></div><div class="ttdeci">void init()</div><div class="ttdoc">This function initialize symbol scope variable m_globals. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:60</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_af57c74feee09035914cea20cf7e8596d"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#af57c74feee09035914cea20cf7e8596d">erpcgen::InterfaceDefinition::setProgramName</a></div><div class="ttdeci">void setProgramName(const std::string &amp;programName)</div><div class="ttdoc">This function sets program name. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:122</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a3e7dea614fce5f4be4d7b4a351c385b6"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a3e7dea614fce5f4be4d7b4a351c385b6">erpcgen::InterfaceDefinition::hasProgramSymbol</a></div><div class="ttdeci">bool hasProgramSymbol()</div><div class="ttdoc">This function returns information if program symbol was set in parsed file. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:114</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a88555ec3da97a4c7e917592edba7181f"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a88555ec3da97a4c7e917592edba7181f">erpcgen::InterfaceDefinition::getOutputDirectory</a></div><div class="ttdeci">boost::filesystem::path getOutputDirectory()</div><div class="ttdoc">This function returns output directory path. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:136</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_ae93b43715fe4b0184fbb2c069060699a"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#ae93b43715fe4b0184fbb2c069060699a">erpcgen::InterfaceDefinition::setErrorHandlingChecksType</a></div><div class="ttdeci">void setErrorHandlingChecksType()</div><div class="ttdoc">This functions sets type of checks which should be present in generated file. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:158</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a75ea44989d648f061e056a0860c6b006"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a75ea44989d648f061e056a0860c6b006">erpcgen::InterfaceDefinition::getGlobals</a></div><div class="ttdeci">SymbolScope &amp; getGlobals()</div><div class="ttdoc">This function returns global symbol scope. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:104</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_abea5734bd3b08db5fe988ec1e1653a1d"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#abea5734bd3b08db5fe988ec1e1653a1d">erpcgen::InterfaceDefinition::getErrorHandlingChecksType</a></div><div class="ttdeci">_error_handling_checks getErrorHandlingChecksType()</div><div class="ttdoc">This functions returns type of checks which should be present in generated file. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:175</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_definition_html_a0458349b3230e4ea11b672629fd6ec5c"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html#a0458349b3230e4ea11b672629fd6ec5c">erpcgen::InterfaceDefinition::setProgramInfo</a></div><div class="ttdeci">void setProgramInfo(const std::string &amp;fileName, const std::string &amp;outputFilePath)</div><div class="ttdoc">This function sets program information. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.cpp:107</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
